@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&family=Mulish:wght@400;700&family=Prompt:wght@400;600;700&display=swap");

h1 {
  font-family: "Prompt", sans-serif;
  font-weight: 600;
  font-size: 3rem;
}

/* Navbar */
.navbar-brand,
.brand {
  font-size: 1.5rem !important;
  font-family: "Prompt", sans-serif;
  font-weight: 600;
}

.nav-link {
  border: 1px solid rgb(248, 249, 250);
  color: black !important;
  font-size: 1rem;
  border-radius: 15px;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  transition-timing-function: ease;
}

.dropdown-menu a.dropdown-item {
  padding: 5px 0 5px 20px !important;

  border-radius: 0;
  border: none;
  /* width: 160px; */
  font-family: "Montserrat", sans-serif;
  color: black !important;
  font-size: 1rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  transition-timing-function: ease;
}

.dropdown-menu a.dropdown-item:hover {
  width: 100%;

  background-color: #bc6c25;
  color: #fefae0 !important;
}

.nav-link:hover {
  border: 1px solid #dda15e;
  background-color: #bc6c25;
  border-radius: 15px;
  color: #fefae0 !important;
}

.search-bar .form-control {
  border-radius: 10px 0 0 10px;
}

.search-bar button {
  border: 1px solid #ced4da;
  border-left: 0;
  border-radius: 0 10px 10px 0;
}

.search-bar button:hover {
  border: 1px solid #dda15e;
  background-color: #bc6c25;
}

.search-bar .form-control:focus {
  border: 1px solid #ced4da;
  box-shadow: 2px 1px 34px 2px rgba(188, 108, 37, 0.38);
  -webkit-box-shadow: 2px 1px 34px 2px rgba(188, 108, 37, 0.38);
  -moz-box-shadow: 2px 1px 34px 2px rgba(188, 108, 37, 0.38);
}

/* Banner */

.banner {
  background-image: url(https://images.unsplash.com/photo-1527597295040-dabe52ba22ad?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=2000&q=80);
  background-position: center center;
  background-size: cover;
  height: 95vh;
}

.banner-brand {
  margin: 100px 100px 0 200px !important;

  color: #d77f33;
  font-family: "Prompt", sans-serif;
  font-size: 6rem !important;
  font-weight: 600;
}

.banner-text {
  margin: 0 100px 0 200px !important;

  color: #c07d43;
  font-family: "Mulish", sans-serif;
  font-size: 1.4rem !important;
}

.banner-form {
  margin: 10px 100px 0 200px !important;

  display: inline-block;
}

.banner-form .banner-btn {
  border: 1px solid #dda15e;
  background-color: #bc6c25;
  border-radius: 15px;
  font-family: "Montserrat", sans-serif;
}

.banner-form .banner-btn:hover {
  border: 1px solid #dda15e;
  color: black !important;
  background-color: #eac49a;
  border-radius: 15px;
}

.blogs {
  background-color: #ebebeb;
  min-height: 75vh;
}

.blogs .-blogs {
  font-family: "Mulish", sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 3rem;
}

.blogs .blog-1 {
  height: 400px;
  background: url(https://images.unsplash.com/photo-1559034461-61ce45377f02?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=800&q=80);
  background-size: cover;
}

.blogs .blog-2 {
  height: 190px;
  background: url(https://images.unsplash.com/photo-1566917064245-1c6bff30dbf1?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=800&q=80);
  background-size: cover;
}

.blogs .blog-3 {
  height: 190px;
  background: url(https://images.unsplash.com/photo-1542388030134-a46688f71940?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=800&q=80);
  background-size: cover;
}

.blogs .blog-4 {
  height: 190px;
  background: url(https://images.unsplash.com/photo-1613660635034-b7a09ae11463?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=800&q=80);
  background-size: cover;
  background-position: center left;
}

.blogs .blog-5 {
  height: 190px;
  background: url(https://images.unsplash.com/photo-1528873981-36c6afde7b9d?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=800&q=80);
  background-size: cover;
}

.blog-title,
.blog-title-main {
  color: #000;
  font-size: 1.5rem;
  text-decoration: none;
  font-family: "Mulish", sans-serif;
  font-weight: 700;
}

.blog-title {
  color: #000;
  font-size: 1rem;
  text-decoration: none;
  font-family: "Mulish", sans-serif;
  font-weight: 700;
}

.blog-title-main a,
.blog-title-main a:hover,
.blog-title a,
.blog-title a:hover {
  color: #000;
}

/* Features */
.features {
  background-color: #1c3144;
}

.features img {
  margin: 0;
  width: 64px;
  color: #fefae0;
}

.features-title,
.footer-title {
  color: #fefae0;
  font-family: "Mulish", sans-serif;
  font-weight: 700;
  font-size: 1.25rem;
}

.features-text {
  display: inline-block;
  color: #fefae0;
  font-family: "Mulish", sans-serif;
}

/* Footer */
.footer {
  margin-top: auto !important;
  /* height: fit-content; */
  width: 100%;
}

.footer-text,
.contact-info-text {
  font-family: "Mulish", sans-serif;
  text-align: justify;
}

.p-brand {
  font-size: 1.1rem !important;
  font-family: "Prompt", sans-serif;
  font-weight: 600;
}

.contact-info-title {
  font-size: 1.1rem;
  font-family: "Mulish", sans-serif;
  font-weight: 700;
  color: #292929;
}

.footer-social-media img {
  width: 30px;
}

.footer-title {
  color: black;
  text-align: center;
}

.footer a,
footer a:hover {
  color: black;
  text-decoration: none;
  font-family: "Mulish", sans-serif;
  text-align: center;
}

.footer-text {
  font-family: "Mulish", sans-serif;
}

#root {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.footer {
  flex-grow: 1;
}

/* user-login  */
.user-login {
  min-height: 40vh;
}

.user-login h1,
.error-404 h1 {
  font-family: "Prompt", sans-serif;
  font-weight: 600;
  font-size: 3rem;
}

.user-login .form {
  font-family: "Mulish", sans-serif;
}

.error-404 {
  min-height: 50vh;
}
.error-404 p {
  margin: 8px;
  font-family: "Mulish", sans-serif;
  font-size: 1.5rem;
}

/* Product */
.card-img-top {
  height: 18rem;
  object-fit: cover;
  object-position: center;
}

/* Show Products */
.show-products {
  min-height: 55vh;
}

.show-products h1 {
  font-family: "Prompt", sans-serif;
  font-weight: 600;
  font-size: 3rem;
}

.show-products .card-title {
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
}

.show-products .card-title a {
  color: #000;
  text-decoration: none;
}

.show-products .card-text {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
}

.show-products a.btn {
  background-color: #7f5539;
  color: #ede0d4;
  border: 1px solid #ddb892;
  font-family: "Montserrat", sans-serif;
  font-size: 0.9rem;
  font-weight: 500;
}

/* UserRegister */
.user-details,
.settings {
  min-height: 55vh;
}

.one-product .banner {
  width: 100%;
  height: auto;
}

.one-product-proper .title {
  font-family: "Prompt", sans-serif;
  font-weight: 700;
  font-size: 3rem;
}

.one-product-proper .price {
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  font-size: 2rem;
}
.one-product-proper .description {
  font-family: "Mulish", sans-serif;
  font-size: 1rem;
}

.text-justify {
  text-align: justify;
}

.one-product button {
  background-color: #7f5539;
  color: #ede0d4;
  border: 1px solid #ddb892;
  font-family: "Montserrat", sans-serif;
  font-size: 1.1rem;
  font-weight: 500;
}

.one-product button:hover {
  background: rgb(2, 0, 36);
  background: linear-gradient(
    0deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(176, 137, 104, 1) 0%,
    rgba(127, 85, 57, 1) 100%,
    rgba(254, 252, 253, 1) 100%
  );
  color: #ede0d4;
  border: 1px solid #ddb892;
  font-family: "Montserrat", sans-serif;
  font-size: 1.1rem;
  font-weight: 500;
}

/* Admin View */

.admin-view h1 {
  font-family: "Prompt", sans-serif;
  font-weight: 600;
  font-size: 3rem;
}

.admin-view th {
  font-size: 1rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
}

.admin-view .product-name {
  font-size: 0.9rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  padding: 24px 12px;
}

.admin-view .product-description {
  font-family: "Mulish", sans-serif;
  text-align: justify;
  padding-left: 12px;
  padding-right: 12px;
}

.admin-view .product-price {
  font-size: 1rem;
  font-family: "Mulish", sans-serif;
  text-align: center;
  padding: 30px 6px;
}

.admin-view .product-availability {
  font-size: 1rem;
  font-family: "Mulish", sans-serif;
  text-align: center;
  padding: 30px 6px;
}

.admin-view .product-availability .unavailable {
  font-size: 0.8rem;
  color: red;
  font-weight: 700;
  text-transform: uppercase;
}

.admin-view button {
  font-family: "Mulish", sans-serif;
}

/* Orders */
.orders h1 {
  font-family: "Prompt", sans-serif;
  font-weight: 600;
  font-size: 3rem;
}

.orders table {
  font-family: "Montserrat", sans-serif;
}

.orders th {
  font-size: 1rem;
  font-weight: 700;
}

.orders td {
  text-align: center;
}

.orders .order-id {
  font-size: 0.9rem;
  font-weight: 700;
  padding: 24px 12px;
}

.orders .order-buyer {
  font-size: 0.9rem;
  font-weight: 500;
  text-align: left;
  padding: 12px;
}

.orders .order-buyer span {
  font-weight: 700;
  padding-left: 12px;
}

.orders .order-date,
.orders .order-amount {
  font-weight: 500;
  padding: 24px 12px;
}

.orders .order-items {
  font-size: 0.9rem;
  text-align: left;
  padding: 12px;
}

.orders .order-items P {
  font-size: 0.8rem;
  text-align: right;
  margin: 6px 0 0 0;
  font-weight: 700;
}

/* Cart */
.show-cart-items {
  min-height: 52.5vh;
}

.show-cart-items .cart-item__info {
  padding: 16px;
  padding-right: 0;
  border-bottom: 1px solid #000;
}

.show-cart-items h2 {
  font-family: "Mulish", sans-serif;
  font-weight: 700;
  padding: 12px 0;
  font-size: 1.5rem;
}

.show-cart-items h2 a {
  color: #000;
  text-decoration: none;
}

.show-cart-items img {
  width: 75px;
  border-radius: 10px;
}

.show-cart-items .price {
  font-family: "Montserrat", sans-serif;
  padding: 24px 0;
  font-size: 1rem;
  margin: 0;
}

.show-cart-items .total-price__text {
  font-family: "Montserrat", sans-serif;
  padding: 24px 12px;
  font-size: 1.2rem;
  font-weight: 700;
  margin: 0;
  text-align: right;
}

.show-cart-items .total-price {
  font-family: "Montserrat", sans-serif;
  padding: 24px 0 24px 12px;
  font-size: 1.1rem;
  font-weight: 700;
  margin: 0;
}

.show-cart-items .buy-all__btn {
  font-family: "Montserrat", sans-serif;
  background-color: #7f5539;
  color: #ede0d4;
  border: 1px solid #ddb892;
  height: 45px;
  width: 100px;
}

/* User Details */
.user-details .form-label,
.user-details input,
.settings .form-label,
.settings input {
  font-family: "Montserrat", sans-serif;
  font-size: 1.1rem;
}

.user-details .form-label {
  text-align: right;
}

.settings button,
.settings button:focus {
  border-radius: 12px;
  font-family: "Montserrat", sans-serif;
  background-color: #7f5539;
  color: #ede0d4;
  border: 1px solid #ddb892;
  height: 45px;
  width: 100px;
}

.settings button:hover {
  background-color: #9c6644;
  border: 1px solid #7f5539;
}

.settings button:focus {
  box-shadow: -5px -1px 26px 0px rgba(127, 85, 57, 0.75);
  -webkit-box-shadow: -5px -1px 26px 0px rgba(127, 85, 57, 0.75);
  -moz-box-shadow: -5px -1px 26px 0px rgba(127, 85, 57, 0.75);
}
